version: '3'

# tamshiyah
services:
    tamshiyah_db:
#        platform: 'linux/amd64'
        container_name: tamshiyah_db
        command: --max_allowed_packet=32505856
        image: mariadb
        restart: unless-stopped
        environment:
            - MYSQL_DATABASE=${DB_DATABASE}
            - MYSQL_USER=${DB_USERNAME}
            - MYSQL_PASSWORD=${DB_PASSWORD}
            - MYSQL_ROOT_PASSWORD=${DB_ROOT_PASSWORD}
        ports:
            - "3306:3306"
        volumes:
            - ./docker/database/data:/var/lib/mysql:z
    tamshiyah_testing:
        #        platform: 'linux/amd64'
        container_name: tamshiyah_testing
        command: --max_allowed_packet=32505856
        image: mariadb
        restart: unless-stopped
        environment:
            - MYSQL_DATABASE=${DB_TESTING_DATABASE}
            - MYSQL_USER=${DB_USERNAME}
            - MYSQL_PASSWORD=${DB_PASSWORD}
            - MYSQL_ROOT_PASSWORD=${DB_ROOT_PASSWORD}
        ports:
            - "${DB_TESTING_PORT}:3306"
        volumes:
            - ./docker/database_testing/data:/var/lib/mysql:z

volumes:
  db:
    driver: local
